import { jsx as s } from "react/jsx-runtime";
import { u as c, C as d, H as f } from "./index.BTcesXu3.js";
import { a as m } from "./twind.Cg2g8xBZ.js";
function h({
  as: t,
  children: e,
  manifest: i,
  className: n,
  editable: l,
  brick: o,
  ...a
}) {
  const p = c({
    id: o.id,
    data: { brick: o, manifest: i },
    disabled: !l || !i.isContainer,
    type: "brick",
    accept: (r) => r.type === "brick" || r.type === "library",
    collisionDetector: f,
    collisionPriority: d.High
  });
  return /* @__PURE__ */ s(
    t || "div",
    {
      ...a,
      ref: p.ref,
      className: m(
        !i.isContainer && "min-h-fit min-w-fit",
        "flex flex-1 rounded-[inherit] w-fill h-fill flex-wrap",
        n
      ),
      children: e
    }
  );
}
export {
  h as B
};
